Bug 238666 - science/dftbplus: fails to build with GCC 9
Summary: science/dftbplus: fails to build with GCC 9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords: patch
Depends on:
Blocks: 238330
  Show dependency treegraph
 
Reported: 2019-06-17 13:19 UTC by Jan Beich
Modified: 2019-07-03 10:06 UTC (History)
2 users (show)

See Also:
tobik: maintainer-feedback-


Attachments
v1 (has commit message) (18.52 KB, patch)
2019-06-17 13:19 UTC, Jan Beich
jbeich: maintainer-approval? (yuri)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2019-06-17 13:19:55 UTC
Created attachment 205182 [details]
v1 (has commit message)

USES=fortran consumers cannot use LLVM openmp yet. Trying to mix GNU fortran and LLVM C compiler is also fragile. Why not embrace GCC for everything?

$ echo "DEFAULT_VERSIONS += gcc=9" >>/etc/make.conf
$ make
[...]
/usr/local/bin/ld: coulomb.o: in function `__coulomb_MOD_invrstress._omp_fn.0':
coulomb.f90:(.text+0x42): undefined reference to `GOMP_loop_maybe_nonmonotonic_runtime_start'
/usr/local/bin/ld: coulomb.f90:(.text+0x176): undefined reference to `GOMP_loop_maybe_nonmonotonic_runtime_next'
/usr/local/bin/ld: coulomb.o: in function `__coulomb_MOD_invrstress._omp_fn.1':
coulomb.f90:(.text+0xfbc): undefined reference to `GOMP_loop_maybe_nonmonotonic_runtime_start'
/usr/local/bin/ld: coulomb.f90:(.text+0x1172): undefined reference to `GOMP_loop_maybe_nonmonotonic_runtime_next'
[...]

http://package22.nyi.freebsd.org/data/112amd64-default-PR238330/2019-06-09_20h29m30s/logs/errors/dftbplus-18.2_6.log
http://package23.nyi.freebsd.org/data/112i386-default-PR238330/2019-06-09_20h28m31s/logs/errors/dftbplus-18.2_6.log
http://package18.nyi.freebsd.org/data/120amd64-default-PR238330/2019-06-09_20h26m27s/logs/errors/dftbplus-18.2_6.log
http://pb2.nyi.freebsd.org/data/120i386-default-PR238330/2019-06-09_20h27m22s/logs/errors/dftbplus-18.2_6.log
Comment 1 commit-hook freebsd_committer 2019-07-03 10:06:11 UTC
A commit references this bug:

Author: tobik
Date: Wed Jul  3 10:05:47 UTC 2019
New revision: 505742
URL: https://svnweb.freebsd.org/changeset/ports/505742

Log:
  science/dftbplus: Unbreak build with GCC 9

  /usr/local/bin/ld: coulomb.o: in function `__coulomb_MOD_invrstress._omp_fn.0':
  coulomb.f90:(.text+0x42): undefined reference to `GOMP_loop_maybe_nonmonotonic_runtime_start'
  /usr/local/bin/ld: coulomb.f90:(.text+0x176): undefined reference to `GOMP_loop_maybe_nonmonotonic_runtime_next'
  /usr/local/bin/ld: coulomb.o: in function `__coulomb_MOD_invrstress._omp_fn.1':
  coulomb.f90:(.text+0xfbc): undefined reference to `GOMP_loop_maybe_nonmonotonic_runtime_start'
  /usr/local/bin/ld: coulomb.f90:(.text+0x1172): undefined reference to `GOMP_loop_maybe_nonmonotonic_runtime_next'
  [...]

  PR:		238666
  Submitted by:	jbeich
  Reported by:	antoine (via exp-run in PR 238330)
  Approved by:	yuri (maintainer timeout, 2 weeks)

Changes:
  head/science/dftbplus/Makefile